Bug 179595 - editors/vile: Fix build on -current
Summary: editors/vile: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-15 19:10 UTC by tkato432
Modified: 2013-07-11 16:20 UTC (History)
0 users

See Also:


Attachments
file.shar (1.98 KB, text/plain)
2013-06-15 19:10 UTC, tkato432
no flags Details
editors_xvile.diff (716 bytes, patch)
2013-06-17 18:55 UTC, tkato432
no flags Details | Diff
editors_vile.diff (2.48 KB, patch)
2013-07-08 18:57 UTC, tkato432
no flags Details | Diff
editors_xvile.diff (2.51 KB, patch)
2013-07-08 18:57 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-06-15 19:10:07 UTC
- Fix build on -current
- Support shebangfix
Comment 1 Edwin Groothuis freebsd_committer 2013-06-15 19:11:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-06-17 15:50:38 UTC
State Changed
From-To: open->feedback

build fails http://po.miwibox.org:1288/bulk/latest-per-pkg/xvile/9.8j/
Comment 3 tkato432 2013-06-17 18:55:13 UTC
Here is the corrected patch.
Comment 4 tkato432 2013-07-08 18:57:36 UTC
Version 9.8k has been released.
Comment 5 Martin Wilke freebsd_committer 2013-07-11 16:15:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-07-11 16:15:39 UTC
Author: miwi
Date: Thu Jul 11 15:15:30 2013
New Revision: 322770
URL: http://svnweb.freebsd.org/changeset/ports/322770

Log:
  - Update to 9.8.k
  - Fix build on -current
  - Support shebangfix
  
  PR:		179595
  Submitted by:	oorts fury

Modified:
  head/editors/vile/Makefile
  head/editors/vile/distinfo
  head/editors/vile/pkg-plist
  head/editors/xvile/Makefile
  head/editors/xvile/distinfo
  head/editors/xvile/pkg-plist

Modified: head/editors/vile/Makefile
==============================================================================
--- head/editors/vile/Makefile	Thu Jul 11 15:13:17 2013	(r322769)
+++ head/editors/vile/Makefile	Thu Jul 11 15:15:30 2013	(r322770)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	vile
-PORTVERSION=	9.8j
+PORTVERSION=	9.8k
 CATEGORIES=	editors
 MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
 		ftp://invisible-island.net/vile/current/
@@ -19,7 +19,8 @@ LICENSE=	GPLv2
 OPTIONS_DEFINE=	FILTERS ICONV PERL DOCS
 FILTERS_DESC=	Loadable filters
 
-USES=		pkgconfig
+USES=		pkgconfig shebangfix
+SHEBANG_FILES=	perl/vileget
 GNU_CONFIGURE=	yes
 MAKEFILE=	makefile
 MAKE_JOBS_SAFE=	yes
@@ -58,7 +59,7 @@ post-patch:
 	@${REINPLACE_CMD} -e \
 		's|^DOCDIR|#DOCDIR|' ${WRKSRC}/makefile.in
 	@${REINPLACE_CMD} -e \
-		's|^#!.*|#!${PERL}|' ${WRKSRC}/perl/vileget
+		's|defined(FLEX_BETA)|0|' ${WRKSRC}/filters/filters.h
 
 post-install:
 	@${MKDIR} ${DATADIR}/macros

Modified: head/editors/vile/distinfo
==============================================================================
--- head/editors/vile/distinfo	Thu Jul 11 15:13:17 2013	(r322769)
+++ head/editors/vile/distinfo	Thu Jul 11 15:15:30 2013	(r322770)
@@ -1,2 +1,2 @@
-SHA256 (vile-9.8j.tgz) = 3b072aa7566aea9c3aec1c333c23d404337900f1697886a60e74b2093a832fda
-SIZE (vile-9.8j.tgz) = 2268208
+SHA256 (vile-9.8k.tgz) = af8386a43fdf82ba3c8e4187b8fe850543c5baac769cf26bb2b437e5b3689e24
+SIZE (vile-9.8k.tgz) = 2278349

Modified: head/editors/vile/pkg-plist
==============================================================================
--- head/editors/vile/pkg-plist	Thu Jul 11 15:13:17 2013	(r322769)
+++ head/editors/vile/pkg-plist	Thu Jul 11 15:15:30 2013	(r322770)
@@ -32,6 +32,7 @@ lib/vile/vile-imake-filt%%SO_EXT%%
 lib/vile/vile-info-filt%%SO_EXT%%
 lib/vile/vile-ini-filt%%SO_EXT%%
 lib/vile/vile-iss-filt%%SO_EXT%%
+lib/vile/vile-json-filt%%SO_EXT%%
 lib/vile/vile-key-filt%%SO_EXT%%
 lib/vile/vile-latex-filt%%SO_EXT%%
 lib/vile/vile-lex-filt%%SO_EXT%%
@@ -51,6 +52,7 @@ lib/vile/vile-perl-filt%%SO_EXT%%
 lib/vile/vile-php-filt%%SO_EXT%%
 lib/vile/vile-pot-filt%%SO_EXT%%
 lib/vile/vile-ps-filt%%SO_EXT%%
+lib/vile/vile-ps1-filt%%SO_EXT%%
 lib/vile/vile-py-filt%%SO_EXT%%
 lib/vile/vile-rc-filt%%SO_EXT%%
 lib/vile/vile-rcs-filt%%SO_EXT%%
@@ -130,6 +132,7 @@ lib/vile/vile-yacc-filt%%SO_EXT%%
 %%DATADIR%%/iss.keywords
 %%DATADIR%%/java.keywords
 %%DATADIR%%/js.keywords
+%%DATADIR%%/json.keywords
 %%DATADIR%%/ksh.keywords
 %%DATADIR%%/latex.keywords
 %%DATADIR%%/lex.keywords
@@ -197,6 +200,7 @@ lib/vile/vile-yacc-filt%%SO_EXT%%
 %%DATADIR%%/pot.keywords
 %%DATADIR%%/prolog.keywords
 %%DATADIR%%/ps.keywords
+%%DATADIR%%/ps1.keywords
 %%DATADIR%%/py.keywords
 %%DATADIR%%/rb.keywords
 %%DATADIR%%/rc.keywords

Modified: head/editors/xvile/Makefile
==============================================================================
--- head/editors/xvile/Makefile	Thu Jul 11 15:13:17 2013	(r322769)
+++ head/editors/xvile/Makefile	Thu Jul 11 15:15:30 2013	(r322770)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	xvile
-PORTVERSION=	9.8j
+PORTVERSION=	9.8k
 CATEGORIES=	editors
 MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
 		ftp://invisible-island.net/vile/current/
@@ -26,7 +26,8 @@ MENUS_DESC=	Support for menus
 XAW_DESC=	X Athena Widgets
 XAW3D_DESC=	X Athena Widgets with 3D effect
 
-USES=		pkgconfig
+USES=		pkgconfig shebangfix
+SHEBANG_FILES=	perl/vileget
 USE_XORG=	x11 xext xpm
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-imake \
@@ -94,7 +95,7 @@ post-patch:
 	@${REINPLACE_CMD} -e \
 		's|^DOCDIR|#DOCDIR|' ${WRKSRC}/makefile.in
 	@${REINPLACE_CMD} -e \
-		's|^#!.*|#!${PERL}|' ${WRKSRC}/perl/vileget
+		's|defined(FLEX_BETA)|0|' ${WRKSRC}/filters/filters.h
 
 post-install:
 	@${MKDIR} ${DATADIR}/macros

Modified: head/editors/xvile/distinfo
==============================================================================
--- head/editors/xvile/distinfo	Thu Jul 11 15:13:17 2013	(r322769)
+++ head/editors/xvile/distinfo	Thu Jul 11 15:15:30 2013	(r322770)
@@ -1,2 +1,2 @@
-SHA256 (vile-9.8j.tgz) = 3b072aa7566aea9c3aec1c333c23d404337900f1697886a60e74b2093a832fda
-SIZE (vile-9.8j.tgz) = 2268208
+SHA256 (vile-9.8k.tgz) = af8386a43fdf82ba3c8e4187b8fe850543c5baac769cf26bb2b437e5b3689e24
+SIZE (vile-9.8k.tgz) = 2278349

Modified: head/editors/xvile/pkg-plist
==============================================================================
--- head/editors/xvile/pkg-plist	Thu Jul 11 15:13:17 2013	(r322769)
+++ head/editors/xvile/pkg-plist	Thu Jul 11 15:15:30 2013	(r322770)
@@ -38,6 +38,7 @@ lib/vile/vile-imake-filt%%SO_EXT%%
 lib/vile/vile-info-filt%%SO_EXT%%
 lib/vile/vile-ini-filt%%SO_EXT%%
 lib/vile/vile-iss-filt%%SO_EXT%%
+lib/vile/vile-json-filt%%SO_EXT%%
 lib/vile/vile-key-filt%%SO_EXT%%
 lib/vile/vile-latex-filt%%SO_EXT%%
 lib/vile/vile-lex-filt%%SO_EXT%%
@@ -57,6 +58,7 @@ lib/vile/vile-perl-filt%%SO_EXT%%
 lib/vile/vile-php-filt%%SO_EXT%%
 lib/vile/vile-pot-filt%%SO_EXT%%
 lib/vile/vile-ps-filt%%SO_EXT%%
+lib/vile/vile-ps1-filt%%SO_EXT%%
 lib/vile/vile-py-filt%%SO_EXT%%
 lib/vile/vile-rc-filt%%SO_EXT%%
 lib/vile/vile-rcs-filt%%SO_EXT%%
@@ -140,6 +142,7 @@ share/pixmaps/vile.xpm
 %%DATADIR%%/iss.keywords
 %%DATADIR%%/java.keywords
 %%DATADIR%%/js.keywords
+%%DATADIR%%/json.keywords
 %%DATADIR%%/ksh.keywords
 %%DATADIR%%/latex.keywords
 %%DATADIR%%/lex.keywords
@@ -207,6 +210,7 @@ share/pixmaps/vile.xpm
 %%DATADIR%%/pot.keywords
 %%DATADIR%%/prolog.keywords
 %%DATADIR%%/ps.keywords
+%%DATADIR%%/ps1.keywords
 %%DATADIR%%/py.keywords
 %%DATADIR%%/rb.keywords
 %%DATADIR%%/rc.keywords
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"